import 'package:flutter/material.dart';
import 'package:giphy_picker/giphy_picker.dart';

class Demo extends StatefulWidget {
  @override
  _DemoState createState() => _DemoState();
}

class _DemoState extends State<Demo> {
  GiphyGif _gif;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(_gif?.title ?? 'Giphy Gify'),
      ),
      body: SafeArea(
        child: Center(
            child: _gif == null
                ? Text(
                    "pick a gif",
                    style: TextStyle(fontSize: 30),
                  )
                : GiphyImage.original(gif: _gif)),
      ),
      floatingActionButton: FloatingActionButton(
          backgroundColor: Colors.blue,
          child: Icon(Icons.search),
          onPressed: () async {
            // final gif =
            await GiphyPicker.pickGif(
              context: context,
              fullScreenDialog: false,
              showPreviewPage: true,
              apiKey: 'EwNGOsJ61NlXaGQ3Nw6ZwxYjZNTyRoW2',
              decorator: GiphyDecorator(
                showAppBar: false,
                searchElevation: 4,
                giphyTheme: ThemeData.dark(),
              ),
            );
          }),
    );
  }
}
