import 'package:flutter/foundation.dart';

import '../models/message.dart';

class MessagesProvider with ChangeNotifier {
  List<Message> messages = [];

  List<Message> get allMessages => [...messages];

  void addMessage(Message message) {
    messages.insert(0, message);
    notifyListeners();
  }
}
